clan::EventUI Class Reference - ClanLib SDK
Description: clan::EventUI Class Reference

Public Member Functions | Friends | List of all members
clan::EventUI Class Reference

Base class for events being dispatched through the view hiarchy. More...

`#include <event.h>`

Inheritance diagram for clan::EventUI:

## Public Member Functions
virtual | ~EventUI ()
std::shared_ptr< View > | current_target ()
| View the event is currently being dispatched to.
bool | default_prevented () const
| Flag if the event default action should be executed after dispatch.
EventUIPhase | phase () const
| Current active event phase during dispatch.
void | prevent_default ()
| Prevent default action from being executed after dispatch.
bool | propagation_stopped () const
| Flag if event propagation should stop.
void | set_timestamp (long long ts)
| Set event timestamp.
void | stop_propagation ()
| Stops event from propagating further.
std::shared_ptr< View > | target ()
| The target view the event is fired for.
long long | timestamp () const
| Timestamp for event in milliseconds since 1970.

## Friends
class | View
class | ViewImpl
class | ViewTree

## Detailed Description

Base class for events being dispatched through the view hiarchy.

## Constructor & Destructor Documentation

## ◆ ~EventUI()

virtual clan::EventUI::~EventUI | ( |  | ) |
| inlinevirtual

## Member Function Documentation

## ◆ current_target()

std::shared_ptr< View > clan::EventUI::current_target | ( |  | ) |
| inline

View the event is currently being dispatched to.

## ◆ default_prevented()

bool clan::EventUI::default_prevented | ( |  | ) | const
| inline

Flag if the event default action should be executed after dispatch.

## ◆ phase()

EventUIPhase clan::EventUI::phase | ( |  | ) | const
| inline

Current active event phase during dispatch.

## ◆ prevent_default()

void clan::EventUI::prevent_default | ( |  | ) |
| inline

Prevent default action from being executed after dispatch.

## ◆ propagation_stopped()

bool clan::EventUI::propagation_stopped | ( |  | ) | const
| inline

Flag if event propagation should stop.

## ◆ set_timestamp()

void clan::EventUI::set_timestamp | ( | long long | ts | ) |
| inline

Set event timestamp.

## ◆ stop_propagation()

void clan::EventUI::stop_propagation | ( |  | ) |
| inline

Stops event from propagating further.

## ◆ target()

std::shared_ptr< View > clan::EventUI::target | ( |  | ) |
| inline

The target view the event is fired for.

## ◆ timestamp()

long long clan::EventUI::timestamp | ( |  | ) | const
| inline

Timestamp for event in milliseconds since 1970.

## Friends And Related Symbol Documentation

## ◆ View

friend class View
| friend

References View.

Referenced by clan::KeyEvent::pointer_pos(), clan::PointerEvent::pos(), clan::PointerEvent::set_pos(), and View.

## ◆ ViewImpl

friend class ViewImpl
| friend

References ViewImpl.

Referenced by ViewImpl.

## ◆ ViewTree

friend class ViewTree
| friend

References ViewTree.

Referenced by ViewTree.

The documentation for this class was generated from the following file:

- UI/Events/event.h